Bug 124484 - post{un,}install should update /etc/gtk-2.0/$HOST_TRIPLET/gtk.immodules
Summary: post{un,}install should update /etc/gtk-2.0/$HOST_TRIPLET/gtk.immodules
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 124482
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-26 21:28 UTC by Nicholas Miell
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 14:22:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicholas Miell 2004-05-26 21:28:47 UTC
See bug #124482 for more information.

Comment 1 David Juran 2004-09-26 14:34:43 UTC
I see there has been an attempt to fix this, but in
gnome-utils-2.8.0-1, the post-scripts try to do update-gtk-immodules
on something that on my i686 expands to  i386-redhat-linux-gnu while
gtk2-2.4.10-4 places the file in /etc/gtk-2.0/i686-redhat-linux-gnu
                                               ^
So right now in rawhide the postinstall script is broken.

Comment 2 Marco Pesenti Gritti 2004-11-01 10:27:38 UTC
Unless you built gtk with --target=i686 it should have these files in
/etc/gtk-2.0/i386-redhat-linux-gnu. Please verify this works with
rawhide now and reopen if it doesnt.

Comment 3 David Juran 2004-11-01 19:51:55 UTC
I did not build gkt2 with any --target flags, but the bug still exists
in gtk2-2.4.13-5
In the specfile for gtk2, the directory in /etc/gtk-2.0/ in derived
from _host which on my system is defined in /usr/lib/rpm/macros (from
rpm-4.3.1-0.3 )as i686-redhat-linux-gnu.
If this is a gtk2 bug maybe it should be moved to that component.
Also, I do not have sufficient privileges to reopen this bug so maybe
someone else could do so.

Comment 4 Marco Pesenti Gritti 2004-11-04 14:22:34 UTC
I changed it to use _host in rawhide, which isnt without problems but
is more sane.


Note You need to log in before you can comment on or make changes to this bug.